# Uaine.Pydat

A python package to assist in data and database handling.

[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0) [![PyPI Downloads](https://static.pepy.tech/badge/uainepydat)](https://pepy.tech/projects/uainepydat) ![Version 1.1](https://img.shields.io/badge/version-1.1-brightgreen)

-Daniel Stamer-Squair 

# Purpose

This contains a few functions that make data handling a little simpler, including a dedicated psv function, hash functions, data table cleaning methods and snippet queries for duckdb.

#### STABILITY STATUS 

[![Lint Check](https://github.com/uaineteine/duck_db_template/actions/workflows/lint_check.yaml/badge.svg)](https://github.com/uaineteine/duck_db_template/actions/workflows/lint_check.yaml) [![Packaging Test](https://github.com/uaineteine/uaine.pydat/actions/workflows/packaging_test.yml/badge.svg)](https://github.com/uaineteine/uaine.pydat/actions/workflows/packaging_test.yml) [![Import test](https://github.com/uaineteine/uaine.pydat/actions/workflows/import_package_test.yml/badge.svg)](https://github.com/uaineteine/uaine.pydat/actions/workflows/import_package_test.yml)

DEVELOPMENT:

[![Lint Check - dev](https://github.com/uaineteine/duck_db_template/actions/workflows/lint_check_dev.yaml/badge.svg)](https://github.com/uaineteine/duck_db_template/actions/workflows/lint_check_dev.yaml) [![Packaging Test - dev](https://github.com/uaineteine/uaine.pydat/actions/workflows/packaging_test_dev.yml/badge.svg)](https://github.com/uaineteine/uaine.pydat/actions/workflows/packaging_test_dev.yml) [![Import test - dev](https://github.com/uaineteine/uaine.pydat/actions/workflows/import_package_test_dev.yml/badge.svg)](https://github.com/uaineteine/uaine.pydat/actions/workflows/import_package_test_dev.yml)

# Getting Started

[Follow the documentation here on github: https://uaineteine.github.io/uaine-pydat-docs/](https://uaineteine.github.io/uaine-pydat-docs/)

## Requirements

1. **Python**
2. **requests**: This library is used to send HTTP requests.
3. **pyreadstat**: This library is used for most read and writing of dataframes.
4. **pandas**: This library is used to store and manipulate memory held data.
5. **duckdb**: This library is used to create duck db requests and queries from its metadata tables
6. **wheel**: This is for making the package yourself
7. **twine**: This is for making the package yourself
8. **psutil**: This is for checking process availability of

# Changelog

See the full version history in the [changelog](meta/changelog.txt).
